body {
    margin: 0px;
    background-color: #f9f9f9;
	place-items: center;
}

h1 {
   color: #333350; 
}

.header {
    text-align: center;
    font-family: "Verdana", sans-serif;
    background-color: #f0f0f0;
    margin: 0px;
    padding: 8px;
    line-height: 5px;
}

.backgroundimage {
    background-size: cover; 
    background-position: center; 
    height: 350px;
}

.backgroundimage h1 {
    text-align: center; 
    color: #ffffff;  
    font-size: 5em; 
    text-shadow: 2px 0 #000, -2px 0 #000, 0 2px #000, 0 -2px #000,
             1px 1px #000, -1px -1px #000, 1px -1px #000, -1px 1px #000; 
    padding: 0px; 
    margin: 0px; 
    vertical-align: middle;

    
  text-overflow: ellipsis;
  word-wrap: normal;
  overflow: hidden;
  max-height: 3em;
  line-height: 1em;
}

.graybackground {
    background-color: #ddd;
    background-image: url("images/codeexample.png");
    background-blend-mode: lighten;
}

.sidebar, .navigationbar {
    position: sticky;
    top: 100px;
    margin-top: 20px;

    margin-right: 8px;
    padding: 10px;
}

.sidebar {
    margin-left: 50px;
    width: 300px;
}

.navigationbar {
    margin-left: 50px;
    width: 220px;
    display: block;
}


.topbar {
    position: sticky;
    top: 0;
    z-index: 999;
    display: flex;
    flex-flow: wrap;
    text-align: center;
    align-items: center;
    justify-content: flex-end;
    padding-top: 10px;
    padding-bottom: 30px;
    padding-right: 20%;
    
    background-color: #333350;
}

.topbar a {
    text-transform: uppercase;
    color: white;
    padding: 15px;
    padding-bottom: 8px;
    padding-top: 8px;
    text-align: left;
    display: inline-block;
    font-family: "Arial", sans-serif;
    text-decoration: none;
    font-weight: bold;


    /*
        background-color: #404060;
    border: solid;
    border-width: 1px;
    border-color: black;
    */
}

.dropdowncontent a, .dropdowncontentForcedVisible a {
    background-color: #404060;
    padding: 0px;
}

.sidebar a, .dropdowncontent a,  .dropdowncontentForcedVisible a, .navigationbar a, .topbar p {
    color: white;
    padding-bottom: 8px;
    padding-top: 8px;
    text-align: center;
    display: inline-block;
    width: 220px;
    border: solid;
    border-width: 1px;
    border-color: black;
    font-family: "Arial", sans-serif;
    text-transform: capitalize;
    text-decoration: none;
    font-weight: normal;
}




.sidebar p, .navigationbar p {
    text-align: left;
    font-family: "Arial", sans-serif;
    font-weight: bold;
    padding: 0px;
    margin: 0px;
}

.navigationbar p {
    margin-bottom: 8px;
}

.topbar p {
    /*
    display: none;
    */
    background-color: #202040;
    margin: 0px;
    font-size: 0.8em;
    padding-bottom: 4px;
    padding-top: 4px;
    text-indent: 10px;
    text-align: left;
}

.sidebar a {
    border-radius: 5px;
    margin: 5px;
    background-color: #335;
    opacity: 0.8;
}


.navigationbar a {
    background-color: #e0e0e0;
    width: 180px;
    color: #505050;
    text-align: left;
    padding-left: 5px;
    opacity: 0.8;
}

.navigationbar a:hover {
    background-color: #d0d0d0;
}

.sidebar a:hover {
    background-color: #6060cc;
}

.topbar a:hover {
    text-decoration: underline;
    text-decoration-color: #ff0000;
    text-underline-offset: 5px;
}

.dropdowncontent a:hover, .dropdowncontentForcedVisible a:hover {
    background-color: #404090;
    text-decoration: none;
}

.note {
    font-size: 0.8em;
    background-color: red;
    border: solid;
    border-width: 1px;
    border-color: black;
    border-radius: 10px;
    padding: 2px;
}



    

.mainwithsidebar, .mainwithoutsidebar {
    padding-bottom: 200px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 5px;
    justify-content: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    top: 0px;
    width: 95%;
    background-color: #fff;
}



.flex {
    display: flex;
    min-height: 100%;
    max-width: 2400px;
    margin: 0 auto;
}




.textblock, .textblockemphasis, .download {
    max-width: 1500px;
    font-family: "Verdana", sans-serif;
    margin: 6px;
    padding: 10px;
text-align: center;

}

.textblock {
    width: 100%;
}


.textblockemphasis, .image, .download {
    border: solid;
    border-width: 1px;
    border-color: black;
    border-radius: 5px;
}

.textblockemphasis {
    background-color: #ddd;
}

.textblockemphasis table {
    margin: 20px 20px 20px 20px;
    max-width: 95%;
}

.image {
    max-width: 900px;
    padding: 10px 10px;
    background-color: #f0f0f0;
    font-family: "Arial", sans-serif;
    font-size: 0.85em; 
    font-weight: bold;
    margin-top: 20px;
    margin-bottom: 20px;
    line-height: 10pt;
    display: inline;
    flex-direction: column;
    text-align: left;
    justify-content: center;
    align-items: center;
}

.image img {
    max-width: 100%;
    height: auto;
    justify-content: center;
    align-items: center;
    /*margin: 2px;*/
}

.download {
    background-color: #f0f0d0;
    text-align: left;
    min-width: 50%;
}

.image, .sidebar a, .download, .textblockemphasis, .navigationbar a, table {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.4);
}

table {
    border-spacing: 0px;
    /*width: 100%;*/
    background-color: white;
    font-size: 0.8em;
    overflow-x: scroll;
}

tr, td, th {
    border: 1px solid;
    border-color: black;
    padding: 5px;
}

tr:hover {
    background-color: #eee;
}

th {
    background-color: #aaa;
    color: white;
    text-align: left;
}

.dropdowncontent {
    display: none;
    position: absolute;
}

.dropdowncontentForcedVisible {
    display: block;
    position: absolute;
}
    
.dropdowncontent a, .dropdowncontentForcedVisible a {
    display: block;
}
    
.dropdown:hover .dropdowncontent {
    display: block;
}

.dropdown:active .dropdowncontent {
    display: block;
}

.hidden {
    display: none;
}